package com.rjconsultores.ventaboletos.rest.generic;

public class RetornoGenericRest<T> {

	private T conteudo;
	private Integer statusResposta;
	private String mensagemResposta;
	private T conteudoErro;

	public Integer getStatusResposta() {
		return statusResposta;
	}

	public void setStatusResposta(Integer statusResposta) {
		this.statusResposta = statusResposta;
	}

	public String getMensagemResposta() {
		return mensagemResposta;
	}

	public void setMensagemResposta(String mensagemResposta) {
		this.mensagemResposta = mensagemResposta;
	}

	public T getConteudo() {
		return conteudo;
	}

	public void setConteudo(T conteudo) {
		this.conteudo = conteudo;
	}

	public T getConteudoErro() {
		return conteudoErro;
	}

	public void setConteudoErro(T conteudoErro) {
		this.conteudoErro = conteudoErro;
	}

}
